<head> <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
    
<div class="table-responsive">          

    <div class="panel-body">
        <div class="form-group">
    
        <input type="search"[(ngModel)]="motcle" placeholder=" Saisir un mot clé ">
<button class="btn btn-secondary" (click)="chercher()"><i class="glyphicon glyphicon-search"></i>

</button>

        </div>
        <table class="table table-striped table-bordered"  class="table table-hover">
            <thead >
                <tr>
                    <th>#</th>
                    <th>Cin</th>
                    <th>Nom</th>
                    <th>Prenom</th>
                    <th>Email</th>
                    <th>Login</th>
                    <th>Mot de passe</th>   
                    <th> Tél</th>
                    <th> Date de création</th>
                    <th> Actions</th>

                </tr>
            </thead>
            <tbody>
               <tr *ngFor="let agent of agents">
                   <td> {{agent.id}}</td>
                   <td> {{agent.cin}}</td>
                   <td> {{agent.nom}}</td>
                   <td> {{agent.prenom}}</td>
                   <td> {{agent.email}}</td>
                   <td> {{agent.login}}</td>
                   <td> {{agent.mot_de_passe}}</td>
                   <td> {{agent.tel}}</td>
                    <td> {{agent.date_creation | date: 'mediumDate'}}</td>
                   <td><button (click)="deleteAgent(agent.id)" class="btn btn-danger" >Supprimer</button>  &nbsp; &nbsp;
                    <button (click)="updateAgent(agent)" class="btn btn-primary" >Modifier</button> </td>

               </tr>
            </tbody>
        </table>
    </div>
    </div>
    <br>
<router-outlet> </router-outlet>
